/// <reference types="react" />
import React from 'react';
import { ReactElement } from 'react';
export declare type ChildrenFn<P> = (props: P) => JSX.Element | null;
export declare type RPC<RP, P = {}> = React.SFC<P & {
    children: ChildrenFn<RP>;
}>;
export declare type MapperComponent<RP, P> = React.SFC<RP & P & {
    render?: ChildrenFn<any>;
}>;
export declare type MapperValue<RP, P> = ReactElement<any> | MapperComponent<RP, P>;
export declare type Mapper<RP, P> = Record<keyof RP, MapperValue<RP, P>>;
export declare function adopt<RP = any, P = any>(mapper: Mapper<RP, P>): RPC<RP, P>;
